<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/parteleser.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>parteleser.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for parteleser.c:</div>
<div class="dynsection">
<div class="center"><img src="parteleser_8c__incl.png" border="0" usemap="#init_2parteleser_8c_map" alt=""/></div>
<map name="init_2parteleser_8c_map" id="init_2parteleser_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="135,86,185,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="209,86,279,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="parteleser_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="parteleser_8c.html#ae33fb5e4bf8cbe9e2361e84f29a77d35">PREALLOC_DG</a>&nbsp;&nbsp;&nbsp;25</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="parteleser_8c.html#a338625e08e016cbad07c3c6bd5159822">MetisPartition</a> (<a class="el" href="structGridData.html">GridData</a> *gdata, int parts)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0">DataPartitionElementsSer</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ae33fb5e4bf8cbe9e2361e84f29a77d35"></a><!-- doxytag: member="parteleser.c::PREALLOC_DG" ref="ae33fb5e4bf8cbe9e2361e84f29a77d35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PREALLOC_DG&nbsp;&nbsp;&nbsp;25</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="parteleser_8c_source.html#l00027">27</a> of file <a class="el" href="parteleser_8c_source.html">parteleser.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a6458904885e6dd97ed495c8ad5f11ca0"></a><!-- doxytag: member="parteleser.c::DataPartitionElementsSer" ref="a6458904885e6dd97ed495c8ad5f11ca0" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int DataPartitionElementsSer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="parteleser_8c_source.html#l00104">104</a> of file <a class="el" href="parteleser_8c_source.html">parteleser.c</a>.</p>

<p>References <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="distint_8c_source.html#l00030">distint()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>.</p>

<p>Referenced by <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_cgraph.png" border="0" usemap="#parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_cgraph_map" alt=""></div>
<map name="parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_cgraph_map" id="parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_cgraph">
<area shape="rect" id="node3" href="init_8h.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="224,18,331,49"/><area shape="rect" id="node13" href="distint_8c.html#a42616e8c2899205c9fb1890cf0fb1e7b" title="distint" alt="" coords="249,71,305,102"/><area shape="rect" id="node15" href="parteleser_8c.html#a338625e08e016cbad07c3c6bd5159822" title="MetisPartition" alt="" coords="227,125,328,155"/><area shape="rect" id="node19" href="init_8h.html#a325dee9c88a63835d07e633aac72bc7e" title="PermuteData" alt="" coords="229,178,325,209"/><area shape="rect" id="node5" href="matcreateseqadj_8c.html#a75401ceb9e40834d9b15671f96a9c03a" title="matcreateseqadj" alt="" coords="380,5,497,35"/><area shape="rect" id="node11" href="matviewstruct_8c.html#a7c494f3571a8f64d0056e03cbf6c994a" title="matviewstruct" alt="" coords="388,58,489,89"/><area shape="rect" id="node7" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="548,5,641,35"/><area shape="rect" id="node9" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="692,5,793,35"/><area shape="rect" id="node17" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="412,138,465,169"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_icgraph.png" border="0" usemap="#parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_icgraph_map" alt=""></div>
<map name="parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_icgraph_map" id="parteleser_8c_a6458904885e6dd97ed495c8ad5f11ca0_icgraph">
<area shape="rect" id="node3" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="224,5,291,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="340,5,399,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="448,5,499,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a338625e08e016cbad07c3c6bd5159822"></a><!-- doxytag: member="parteleser.c::MetisPartition" ref="a338625e08e016cbad07c3c6bd5159822" args="(GridData *gdata, int parts)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MetisPartition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>parts</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="parteleser_8c_source.html#l00038">38</a> of file <a class="el" href="parteleser_8c_source.html">parteleser.c</a>.</p>

<p>References <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="griddata_8h_source.html#l00190">GridData::elel2g</a>, <a class="el" href="griddata_8h_source.html#l00191">GridData::elenewproc</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00179">GridData::vertl2g</a>, and <a class="el" href="griddata_8h_source.html#l00180">GridData::vertnewproc</a>.</p>

<p>Referenced by <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="parteleser_8c_a338625e08e016cbad07c3c6bd5159822_cgraph.png" border="0" usemap="#parteleser_8c_a338625e08e016cbad07c3c6bd5159822_cgraph_map" alt=""></div>
<map name="parteleser_8c_a338625e08e016cbad07c3c6bd5159822_cgraph_map" id="parteleser_8c_a338625e08e016cbad07c3c6bd5159822_cgraph">
<area shape="rect" id="node3" href="ascat_8c.html#ac2f4e1dfdaa7099a74e0603a16a1feb3" title="ascat" alt="" coords="156,5,209,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="parteleser_8c_a338625e08e016cbad07c3c6bd5159822_icgraph.png" border="0" usemap="#parteleser_8c_a338625e08e016cbad07c3c6bd5159822_icgraph_map" alt=""></div>
<map name="parteleser_8c_a338625e08e016cbad07c3c6bd5159822_icgraph_map" id="parteleser_8c_a338625e08e016cbad07c3c6bd5159822_icgraph">
<area shape="rect" id="node3" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="155,5,325,35"/><area shape="rect" id="node5" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="373,5,440,35"/><area shape="rect" id="node7" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="489,5,548,35"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="597,5,648,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

